<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Name: Sectie Eten/drinken
Description: Template voor de weergave van Sectie Eten/drinken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000">
   <title>Sectie Eten/drinken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]
Item: (Sectie_Eten_drinken)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]"
         id="d20e2701-false-d33847e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]) &gt;= 1">(Sectie_Eten_drinken): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]) &lt;= 1">(Sectie_Eten_drinken): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]
Item: (Sectie_Eten_drinken)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]"
         id="d20e2708-false-d33930e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']) &gt;= 1">(Sectie_Eten_drinken): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']) &lt;= 1">(Sectie_Eten_drinken): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '288840008' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Sectie_Eten_drinken): element hl7:code[(@code = '288840008' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '288840008' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Sectie_Eten_drinken): element hl7:code[(@code = '288840008' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Sectie_Eten_drinken): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Sectie_Eten_drinken): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.98']]]) &gt;= 1">(Sectie_Eten_drinken): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.98']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.98']]]) &lt;= 1">(Sectie_Eten_drinken): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.98']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']
Item: (Sectie_Eten_drinken)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']"
         id="d20e2727-false-d34007e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Eten_drinken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.1.10')">(Sectie_Eten_drinken): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.1.10' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:code[(@code = '288840008' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Sectie_Eten_drinken)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:code[(@code = '288840008' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e2737-false-d34022e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Eten_drinken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="@nullFlavor or (@code='288840008' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Eten_drinken): de elementwaarde MOET een zijn van 'code '288840008' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:title[not(@nullFlavor)]
Item: (Sectie_Eten_drinken)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.98']]]
Item: (Sectie_Eten_drinken)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.98']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="string(@typeCode) = ('DRIV')">(Sectie_Eten_drinken): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
