<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Name: Sectie Toediening systemen
Description: Template voor de weergave van Sectie Toediening systemen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000">
   <title>Sectie Toediening systemen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]
Item: (Sectie_Toediening_systemen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]"
         id="d20e2844-false-d34349e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]) &gt;= 1">(Sectie_Toediening_systemen): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]) &lt;= 1">(Sectie_Toediening_systemen): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]
Item: (Sectie_Toediening_systemen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]"
         id="d20e2851-false-d34408e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']) &gt;= 1">(Sectie_Toediening_systemen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']) &lt;= 1">(Sectie_Toediening_systemen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '54568-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Sectie_Toediening_systemen): element hl7:code[(@code = '54568-1' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '54568-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Sectie_Toediening_systemen): element hl7:code[(@code = '54568-1' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Sectie_Toediening_systemen): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Sectie_Toediening_systemen): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.116']]]) &gt;= 1">(Sectie_Toediening_systemen): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.116']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.116']]]) &lt;= 1">(Sectie_Toediening_systemen): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.116']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']
Item: (Sectie_Toediening_systemen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']"
         id="d20e2870-false-d34473e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Toediening_systemen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.1.12')">(Sectie_Toediening_systemen): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.1.12' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:code[(@code = '54568-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Sectie_Toediening_systemen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:code[(@code = '54568-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e2880-false-d34488e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Toediening_systemen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="@nullFlavor or (@code='54568-1' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Toediening_systemen): de elementwaarde MOET een zijn van 'code '54568-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:title[not(@nullFlavor)]
Item: (Sectie_Toediening_systemen)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.116']]]
Item: (Sectie_Toediening_systemen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.116']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.12-2012-05-03T000000.html"
              test="string(@typeCode) = ('DRIV')">(Sectie_Toediening_systemen): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
