<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Name: Sectie Uitscheiding
Description: Template voor de weergave van Sectie Uitscheiding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000">
   <title>Sectie Uitscheiding</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]
Item: (Sectie_Uitscheiding)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]"
         id="d20e2915-false-d34615e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]) &gt;= 1">(Sectie_Uitscheiding): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]) &lt;= 1">(Sectie_Uitscheiding): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]
Item: (Sectie_Uitscheiding)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]"
         id="d20e2922-false-d34752e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']) &gt;= 1">(Sectie_Uitscheiding): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']) &lt;= 1">(Sectie_Uitscheiding): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '63911002' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Sectie_Uitscheiding): element hl7:code[(@code = '63911002' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '63911002' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Sectie_Uitscheiding): element hl7:code[(@code = '63911002' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Sectie_Uitscheiding): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Sectie_Uitscheiding): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.124']]]) &gt;= 1">(Sectie_Uitscheiding): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.124']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.124']]]) &lt;= 1">(Sectie_Uitscheiding): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.124']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']
Item: (Sectie_Uitscheiding)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']"
         id="d20e2941-false-d34856e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Uitscheiding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.1.13')">(Sectie_Uitscheiding): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.1.13' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:code[(@code = '63911002' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Sectie_Uitscheiding)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:code[(@code = '63911002' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e2951-false-d34871e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Uitscheiding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="@nullFlavor or (@code='63911002' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Uitscheiding): de elementwaarde MOET een zijn van 'code '63911002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:title[not(@nullFlavor)]
Item: (Sectie_Uitscheiding)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.124']]]
Item: (Sectie_Uitscheiding)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.124']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="string(@typeCode) = ('DRIV')">(Sectie_Uitscheiding): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
