<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Name: Sectie Overig
Description: Template voor de weergave van Sectie Overig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000">
   <title>Sectie Overig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]
Item: (Sectie_Overig)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]"
         id="d20e3961-false-d38767e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]) &lt;= 1">(Sectie_Overig): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]
Item: (Sectie_Overig)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]"
         id="d20e3968-false-d38806e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']) &gt;= 1">(Sectie_Overig): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']) &lt;= 1">(Sectie_Overig): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '52535-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Sectie_Overig): element hl7:code[(@code = '52535-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '52535-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Sectie_Overig): element hl7:code[(@code = '52535-2' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Sectie_Overig): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Sectie_Overig): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.256']]]) &gt;= 1">(Sectie_Overig): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.256']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.256']]]) &lt;= 1">(Sectie_Overig): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.256']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']
Item: (Sectie_Overig)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']"
         id="d20e3990-false-d38862e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Overig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.1.26')">(Sectie_Overig): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.1.26' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:code[(@code = '52535-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Sectie_Overig)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:code[(@code = '52535-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e4000-false-d38877e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Overig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="@nullFlavor or (@code='52535-2' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Overig): de elementwaarde MOET een zijn van 'code '52535-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:title[not(@nullFlavor)]
Item: (Sectie_Overig)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.256']]]
Item: (Sectie_Overig)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.256']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="string(@typeCode) = ('DRIV')">(Sectie_Overig): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
