<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Name: vloeistof toe te dienen via infuus
Description: Template voor de weergave van vloeistof toe te dienen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000">
   <title>vloeistof toe te dienen via infuus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]"
         id="d20e7381-false-d46724e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]) &gt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]"
         id="d20e7388-false-d46741e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(vloeistof_toe_te_dienen_via_infuus): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@classCode) = ('SBADM')">(vloeistof_toe_te_dienen_via_infuus): de waarde van classCode MOET 'SBADM' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']) &gt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:effectiveTime[hl7:period]) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:effectiveTime[hl7:period] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:doseQuantity[not(@nullFlavor)]) &gt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:doseQuantity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:doseQuantity[not(@nullFlavor)]) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:doseQuantity[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:rateQuantity[not(@nullFlavor)]) &gt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:rateQuantity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:rateQuantity[not(@nullFlavor)]) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:rateQuantity[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]) &gt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']"
         id="d20e7411-false-d46797e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.122')">(vloeistof_toe_te_dienen_via_infuus): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.122' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:effectiveTime[hl7:period]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:effectiveTime[hl7:period]"
         id="d20e7421-false-d46811e0">
      <extends rule="PIVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PIVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PIVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:period[not(@nullFlavor)]) &gt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:period[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:period[not(@nullFlavor)]) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:period[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:effectiveTime[hl7:period]/hl7:period[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:doseQuantity[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:rateQuantity[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]"
         id="d20e7466-false-d46854e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]]) &gt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]]) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]]"
         id="d20e7477-false-d46872e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]) &gt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]"
         id="d20e7488-false-d46890e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(vloeistof_toe_te_dienen_via_infuus): element hl7:name[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e7501-false-d46916e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="@nullFlavor or (@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')">(vloeistof_toe_te_dienen_via_infuus): de elementwaarde MOET een zijn van 'code '440132002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)][hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code = '440132002' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:name[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->
</pattern>
