<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Name: gemaakte afspraken
Description: Template: entryRelationship gemaakte afspraken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000">
   <title>gemaakte afspraken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]
Item: (entryRelationship_gemaakte_afspraken)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]"
         id="d20e19629-false-d70492e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]) &gt;= 1">(entryRelationship_gemaakte_afspraken): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]) &lt;= 1">(entryRelationship_gemaakte_afspraken): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]
Item: (entryRelationship_gemaakte_afspraken)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]"
         id="d20e19636-false-d70515e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="string(@classCode) = ('OBS')">(entryRelationship_gemaakte_afspraken): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(entryRelationship_gemaakte_afspraken): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']) &gt;= 1">(entryRelationship_gemaakte_afspraken): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']) &lt;= 1">(entryRelationship_gemaakte_afspraken): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '288834001' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(entryRelationship_gemaakte_afspraken): element hl7:code[(@code = '288834001' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '288834001' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(entryRelationship_gemaakte_afspraken): element hl7:code[(@code = '288834001' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(entryRelationship_gemaakte_afspraken): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(entryRelationship_gemaakte_afspraken): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.34']]]) &lt;= 1">(entryRelationship_gemaakte_afspraken): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.34']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']
Item: (entryRelationship_gemaakte_afspraken)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']"
         id="d20e19657-false-d70568e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_gemaakte_afspraken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.33')">(entryRelationship_gemaakte_afspraken): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.33' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:code[(@code = '288834001' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (entryRelationship_gemaakte_afspraken)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:code[(@code = '288834001' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e19667-false-d70583e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_gemaakte_afspraken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="@nullFlavor or (@code='288834001' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_gemaakte_afspraken): de elementwaarde MOET een zijn van 'code '288834001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:value[not(@nullFlavor)]
Item: (entryRelationship_gemaakte_afspraken)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:value[not(@nullFlavor)]"
         id="d20e19678-false-d70599e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_gemaakte_afspraken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.34']]]
Item: (entryRelationship_gemaakte_afspraken)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.34']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.33-2012-05-03T000000.html"
              test="string(@typeCode) = ('REFR')">(entryRelationship_gemaakte_afspraken): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
