<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Name: mede behandelaars
Description: Template: entryRelationship mede behandelaars
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000">
   <title>mede behandelaars</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]]
Item: (entryRelationship_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]]"
         id="d20e19825-false-d70852e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]) &gt;= 1">(entryRelationship_mede_behandelaars): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]) &lt;= 1">(entryRelationship_mede_behandelaars): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]
Item: (entryRelationship_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]"
         id="d20e19832-false-d70875e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="string(@classCode) = ('OBS')">(entryRelationship_mede_behandelaars): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(entryRelationship_mede_behandelaars): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="@negationInd">(entryRelationship_mede_behandelaars): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_mede_behandelaars): attribuut @negationInd MOET datatype 'bl' hebben  - '<value-of select="@negationInd"/>'</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(entryRelationship_mede_behandelaars): Als er géén mede behandelaars zijn (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entryRelationship_mede_behandelaars): Als er niet bekend is of er mede behandelaars zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']) &gt;= 1">(entryRelationship_mede_behandelaars): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']) &lt;= 1">(entryRelationship_mede_behandelaars): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '308930007' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(entryRelationship_mede_behandelaars): element hl7:code[(@code = '308930007' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '308930007' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(entryRelationship_mede_behandelaars): element hl7:code[(@code = '308930007' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']
Item: (entryRelationship_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']"
         id="d20e19862-false-d70922e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.36')">(entryRelationship_mede_behandelaars): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.36' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:code[(@code = '308930007' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (entryRelationship_mede_behandelaars)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:code[(@code = '308930007' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e19872-false-d70937e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="@nullFlavor or (@code='308930007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_mede_behandelaars): de elementwaarde MOET een zijn van 'code '308930007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.36
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.37']]]
Item: (entryRelationship_mede_behandelaars)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.36']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.37']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.36-2012-05-03T000000.html"
              test="string(@typeCode) = ('REFR')">(entryRelationship_mede_behandelaars): de waarde van typeCode MOET 'REFR' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
