<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Name: ondersteuning nodig
Description: Template voor de weergave van ondersteuning nodig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000">
   <title>ondersteuning nodig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]]
Item: (entryRelationship_ondersteuning_nodig)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]]"
         id="d20e21542-false-d74374e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]) &gt;= 1">(entryRelationship_ondersteuning_nodig): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]) &lt;= 1">(entryRelationship_ondersteuning_nodig): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]
Item: (entryRelationship_ondersteuning_nodig)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]"
         id="d20e21549-false-d74391e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="string(@classCode) = ('OBS')">(entryRelationship_ondersteuning_nodig): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(entryRelationship_ondersteuning_nodig): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="@negationInd">(entryRelationship_ondersteuning_nodig): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_ondersteuning_nodig): attribuut @negationInd MOET datatype 'bl' hebben  - '<value-of select="@negationInd"/>'</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(entryRelationship_ondersteuning_nodig): Als er géén ondersteuning nodig is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entryRelationship_ondersteuning_nodig): Als er niet bekend is of er ondersteuning nodig is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']) &gt;= 1">(entryRelationship_ondersteuning_nodig): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']) &lt;= 1">(entryRelationship_ondersteuning_nodig): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '426031007' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(entryRelationship_ondersteuning_nodig): element hl7:code[(@code = '426031007' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '426031007' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(entryRelationship_ondersteuning_nodig): element hl7:code[(@code = '426031007' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']
Item: (entryRelationship_ondersteuning_nodig)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']"
         id="d20e21577-false-d74431e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_ondersteuning_nodig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.54')">(entryRelationship_ondersteuning_nodig): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.54' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:code[(@code = '426031007' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (entryRelationship_ondersteuning_nodig)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:code[(@code = '426031007' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e21587-false-d74446e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_ondersteuning_nodig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.54-2012-05-03T000000.html"
              test="@nullFlavor or (@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_ondersteuning_nodig): de elementwaarde MOET een zijn van 'code '426031007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
