<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Name: voortbewegen hulpmiddelen
Description: Template voor de weergave van voortbewegen hulpmiddelen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000">
   <title>voortbewegen hulpmiddelen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]"
         id="d20e21749-false-d74747e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]) &lt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]"
         id="d20e21756-false-d74762e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@classCode) = ('SPLY')">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van classCode MOET 'SPLY' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']) &gt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']) &lt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '183135000' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:code[(@code = '183135000' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '183135000' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:code[(@code = '183135000' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:statusCode[@code = 'completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]) &gt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]) &lt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']"
         id="d20e21784-false-d74812e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.57')">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.57' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:code[(@code = '183135000' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:code[(@code = '183135000' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e21794-false-d74827e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="@nullFlavor or (@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_voortbewegen_hulpmiddelen): de elementwaarde MOET een zijn van 'code '183135000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d20e21804-false-d74844e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(entryRelationship_voortbewegen_hulpmiddelen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]"
         id="d20e21814-false-d74860e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]) &gt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]) &lt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]"
         id="d20e21824-false-d74876e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@classCode) = ('MANU')">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van classCode MOET 'MANU' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name]) &gt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name]) &lt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]/hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]/hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name]"
         id="d20e21836-false-d74896e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@classCode) = ('MMAT')">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van classCode MOET 'MMAT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:name[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:product[not(@nullFlavor)][hl7:manufacturedProduct[@classCode = 'MANU']]/hl7:manufacturedProduct[not(@nullFlavor)][@classCode = 'MANU'][hl7:manufacturedMaterial[@classCode = 'MMAT']]/hl7:manufacturedMaterial[not(@nullFlavor)][@classCode = 'MMAT'][hl7:name]/hl7:name[not(@nullFlavor)]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->
</pattern>
