<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Name: prothese aanwezig
Description: Template voor de weergave van entryRelationship prothese aanwezig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000">
   <title>prothese aanwezig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]]
Item: (entryRelationship_prothese_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]]"
         id="d20e24302-false-d79470e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]) &gt;= 1">(entryRelationship_prothese_aanwezig): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]) &lt;= 1">(entryRelationship_prothese_aanwezig): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]
Item: (entryRelationship_prothese_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]"
         id="d20e24309-false-d79487e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="string(@classCode) = ('OBS')">(entryRelationship_prothese_aanwezig): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(entryRelationship_prothese_aanwezig): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="@negationInd">(entryRelationship_prothese_aanwezig): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_prothese_aanwezig): attribuut @negationInd MOET datatype 'bl' hebben  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']) &gt;= 1">(entryRelationship_prothese_aanwezig): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']) &lt;= 1">(entryRelationship_prothese_aanwezig): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '27606000' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(entryRelationship_prothese_aanwezig): element hl7:code[(@code = '27606000' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '27606000' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(entryRelationship_prothese_aanwezig): element hl7:code[(@code = '27606000' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']
Item: (entryRelationship_prothese_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']"
         id="d20e24331-false-d79527e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_prothese_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.84')">(entryRelationship_prothese_aanwezig): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.84' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:code[(@code = '27606000' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (entryRelationship_prothese_aanwezig)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:code[(@code = '27606000' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e24341-false-d79542e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_prothese_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.84-2012-05-03T000000.html"
              test="@nullFlavor or (@code='27606000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_prothese_aanwezig): de elementwaarde MOET een zijn van 'code '27606000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
