<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Name: bron bewering allergie
Description: Template voor de weergave van Bron bewering allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000">
   <title>bron bewering allergie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]
Item: (Bron_bewering_allergie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]"
         id="d20e15202-false-d62089e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']) &gt;= 1">(Bron_bewering_allergie): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']) &lt;= 1">(Bron_bewering_allergie): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:assignedEntity) &lt;= 1">(Bron_bewering_allergie): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']"
         id="d20e15215-false-d62113e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.22')">(Bron_bewering_allergie): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.22' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity"
         id="d20e15225-false-d62127e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(Bron_bewering_allergie): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:id
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:id"
         id="d20e15238-false-d62145e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson"
         id="d20e15252-false-d62155e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)][hl7:family]) &gt;= 1">(Bron_bewering_allergie): element hl7:name[not(@nullFlavor)][hl7:family] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)][hl7:family]) &lt;= 1">(Bron_bewering_allergie): element hl7:name[not(@nullFlavor)][hl7:family] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)][hl7:family]
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)][hl7:family]"
         id="d20e15263-false-d62171e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:given[not(@qualifier='IN')]) &lt;= 1">(Bron_bewering_allergie): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:given[@qualifier='IN']) &lt;= 1">(Bron_bewering_allergie): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family[not(@nullFlavor)]) &gt;= 1">(Bron_bewering_allergie): element hl7:family[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family[not(@nullFlavor)]) &lt;= 1">(Bron_bewering_allergie): element hl7:family[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)][hl7:family]/hl7:given[not(@qualifier='IN')]
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)][hl7:family]/hl7:given[not(@qualifier='IN')]"
         id="d20e15280-false-d62196e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@qualifier) = ('BR') or not(@qualifier)">(Bron_bewering_allergie): de waarde van qualifier MOET 'BR' zijn. Gevonden: "<value-of select="@qualifier"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)][hl7:family]/hl7:given[@qualifier='IN']
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)][hl7:family]/hl7:given[@qualifier='IN']"
         id="d20e15299-false-d62205e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@qualifier) = ('IN') or not(@qualifier)">(Bron_bewering_allergie): de waarde van qualifier MOET 'IN' zijn. Gevonden: "<value-of select="@qualifier"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)][hl7:family]/hl7:family[not(@nullFlavor)]
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)][hl7:family]/hl7:family[not(@nullFlavor)]"
         id="d20e15310-false-d62216e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family) &lt;= 1">(Bron_bewering_allergie): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)][hl7:family]/hl7:family[not(@nullFlavor)]/hl7:family
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)][hl7:family]/hl7:family[not(@nullFlavor)]/hl7:family"
         id="d20e15318-false-d62230e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),'\s'))"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="not(@qualifier) or empty($theAttValue[not(. = (('BR','SP')))])">(Bron_bewering_allergie): de waarde van qualifier MOET 'code BR of code SP' zijn. Gevonden: "<value-of select="@qualifier"/>"</assert>
   </rule>
</pattern>
