<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Name: houding veranderen
Description: Template voor de weergave van houding veranderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000">
   <title>houding veranderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]
Item: (entryRelationship_houding_veranderen)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]"
         id="d20e22143-false-d75461e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]) &gt;= 1">(entryRelationship_houding_veranderen): element hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]) &lt;= 1">(entryRelationship_houding_veranderen): element hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]
Item: (entryRelationship_houding_veranderen)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]"
         id="d20e22150-false-d75526e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="string(@classCode) = ('CLUSTER')">(entryRelationship_houding_veranderen): de waarde van classCode MOET 'CLUSTER' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="string(@moodCode) = ('EVN')">(entryRelationship_houding_veranderen): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']) &gt;= 1">(entryRelationship_houding_veranderen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']) &lt;= 1">(entryRelationship_houding_veranderen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '282830003' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(entryRelationship_houding_veranderen): element hl7:code[(@code = '282830003' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:code[(@code = '282830003' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(entryRelationship_houding_veranderen): element hl7:code[(@code = '282830003' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(entryRelationship_houding_veranderen): element hl7:statusCode[@code = 'completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.62']]]) &lt;= 1">(entryRelationship_houding_veranderen): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.62']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.66']]]) &lt;= 1">(entryRelationship_houding_veranderen): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.66']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']
Item: (entryRelationship_houding_veranderen)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']"
         id="d20e22174-false-d75606e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.10.30.2.61')">(entryRelationship_houding_veranderen): de waarde van root MOET '2.16.840.1.113883.2.4.6.10.30.2.61' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:code[(@code = '282830003' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (entryRelationship_houding_veranderen)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:code[(@code = '282830003' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d20e22184-false-d75621e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="@nullFlavor or (@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_houding_veranderen): de elementwaarde MOET een zijn van 'code '282830003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (entryRelationship_houding_veranderen)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d20e22195-false-d75638e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20190617T145353/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(entryRelationship_houding_veranderen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.62']]]
Item: (entryRelationship_houding_veranderen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.6.10.30.2.66']]]
Item: (entryRelationship_houding_veranderen)
--></pattern>
